<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePreshipmentDocumentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sd_preshipment_document', function (Blueprint $table) {
            $table->id("preshipment_document_id");
            $table->integer('shipment_id');
            $table->string('customer_order_id', 45);
            $table->string('factory_po', 45);
            $table->integer('user_id');
            $table->string('note');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sd_preshipment_document');
    }
}
